// https://nuxt.com/docs/api/configuration/nuxt-config
export default defineNuxtConfig({
  devtools: { enabled: false },

  modules: [
    '@nuxtjs/device',
    'nuxt-directus',
  ],

  directus: {
    url: process.env.DIRECTUS_URL,
    token: process.env.DIRECTUS_TOKEN,
    autoFetch: true,
  },

  css: [
    "~/assets/style/style.css",
  ],

  postcss: {
    plugins: {
      'postcss-import': {},
      'postcss-nested': {},
      'postcss-hexrgba': {},
    }
  },

  runtimeConfig: {
    public: {
      HNS: process.env.HNS,
      DNS: process.env.DNS,
    },
  },

  telemetry: false,
  compatibilityDate: '2024-07-31'
})